Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SecondaryRecnoDatabaseConfig..::.Delimiter Property
SecondaryRecnoDatabaseConfig Class See Also Send Feedback

The delimiting byte used to mark the end of a record in BackingFile.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public int Delimiter { get; set; }

Visual Basic (Declaration)
    Public Property Delimiter As Integer

Visual C++
    public:
    property int Delimiter {
    	int get ();
    	void set (int value);
    }

# Remarks

This byte is used for variable length records if BackingFile is set. If BackingFile is specified and no delimiting byte was specified, newline characters (ASCII 0x0a) are interpreted as end-of-record markers.

If the database already exists, this setting is ignored.

# See Also

SecondaryRecnoDatabaseConfig Class
BerkeleyDB Namespace